source: trunk/protemix/src/recpt/config.status@ 3162

Last change on this file since 3162 was 3162, checked in by sjboddie, 22 years ago

Initial revision

  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 23.2 KB
RevLine 
[3162]1#! /bin/sh
2# Generated automatically by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8SHELL=${CONFIG_SHELL-/bin/sh}
9ac_cs_invocation="$0 $@"
10
11# Be Bourne compatible
12if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
13 emulate sh
14 NULLCMD=:
15elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
16 set -o posix
17fi
18
19# Name of the executable.
20as_me=`echo "$0" |sed 's,.*[\\/],,'`
21
22if expr a : '\(a\)' >/dev/null 2>&1; then
23 as_expr=expr
24else
25 as_expr=false
26fi
27
28rm -f conf$$ conf$$.exe conf$$.file
29echo >conf$$.file
30if ln -s conf$$.file conf$$ 2>/dev/null; then
31 # We could just check for DJGPP; but this test a) works b) is more generic
32 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
33 if test -f conf$$.exe; then
34 # Don't use ln at all; we don't have any links
35 as_ln_s='cp -p'
36 else
37 as_ln_s='ln -s'
38 fi
39elif ln conf$$.file conf$$ 2>/dev/null; then
40 as_ln_s=ln
41else
42 as_ln_s='cp -p'
43fi
44rm -f conf$$ conf$$.exe conf$$.file
45
46as_executable_p="test -f"
47
48# Support unset when possible.
49if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
50 as_unset=unset
51else
52 as_unset=false
53fi
54
55# NLS nuisances.
56$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
57$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
58$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
59$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
60$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
61$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
62$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
63$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
64
65# IFS
66# We need space, tab and new line, in precisely that order.
67as_nl='
68'
69IFS=" $as_nl"
70
71# CDPATH.
72$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
73
74exec 6>&1
75
76config_files=" Makefile"
77config_headers=" config.h"
78
79ac_cs_usage="\
80\`$as_me' instantiates files from templates according to the
81current configuration.
82
83Usage: $0 [OPTIONS] [FILE]...
84
85 -h, --help print this help, then exit
86 -V, --version print version number, then exit
87 -d, --debug don't remove temporary files
88 --recheck update $as_me by reconfiguring in the same conditions
89 --file=FILE[:TEMPLATE]
90 instantiate the configuration file FILE
91 --header=FILE[:TEMPLATE]
92 instantiate the configuration header FILE
93
94Configuration files:
95$config_files
96
97Configuration headers:
98$config_headers
99
100Report bugs to <[email protected]>."
101ac_cs_version="\
102config.status
103configured by ./configure, generated by GNU Autoconf 2.50,
104 with options \"\"
105
106Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
107Free Software Foundation, Inc.
108This config.status script is free software; the Free Software Foundation
109gives unlimited permission to copy, distribute and modify it."
110srcdir=.
111INSTALL="/usr/bin/install -c"
112# If no file are specified by the user, then we need to provide default
113# value. By we need to know if files were specified by the user.
114ac_need_defaults=:
115while test $# != 0
116do
117 case $1 in
118 --*=*)
119 ac_option=`expr "x$1" : 'x\([^=]*\)='`
120 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
121 shift
122 set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
123 shift
124 ;;
125 -*);;
126 *) # This is not an option, so the user has probably given explicit
127 # arguments.
128 ac_need_defaults=false;;
129 esac
130
131 case $1 in
132 # Handling of the options.
133 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
134 echo "running /bin/sh ./configure " " --no-create --no-recursion"
135 exec /bin/sh ./configure --no-create --no-recursion ;;
136 --version | --vers* | -V )
137 echo "$ac_cs_version"; exit 0 ;;
138 --he | --h)
139 # Conflict between --help and --header
140 { { echo "$as_me:5342: error: ambiguous option: $1
141Try \`$0 --help' for more information." >&5
142echo "$as_me: error: ambiguous option: $1
143Try \`$0 --help' for more information." >&2;}
144 { (exit 1); exit 1; }; };;
145 --help | --hel | -h )
146 echo "$ac_cs_usage"; exit 0 ;;
147 --debug | --d* | -d )
148 debug=: ;;
149 --file | --fil | --fi | --f )
150 shift
151 CONFIG_FILES="$CONFIG_FILES $1"
152 ac_need_defaults=false;;
153 --header | --heade | --head | --hea )
154 shift
155 CONFIG_HEADERS="$CONFIG_HEADERS $1"
156 ac_need_defaults=false;;
157
158 # Handling of arguments.
159 'Makefile' ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
160 'config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
161
162 # This is an error.
163 -*) { { echo "$as_me:5365: error: unrecognized option: $1
164Try \`$0 --help' for more information." >&5
165echo "$as_me: error: unrecognized option: $1
166Try \`$0 --help' for more information." >&2;}
167 { (exit 1); exit 1; }; } ;;
168 *) { { echo "$as_me:5370: error: invalid argument: $1" >&5
169echo "$as_me: error: invalid argument: $1" >&2;}
170 { (exit 1); exit 1; }; };;
171 esac
172 shift
173done
174
175exec 5>>config.log
176cat >&5 << _ACEOF
177
178## ----------------------- ##
179## Running config.status. ##
180## ----------------------- ##
181
182This file was extended by $as_me 2.50, executed with
183 > $ac_cs_invocation
184on `(hostname || uname -n) 2>/dev/null | sed 1q`
185
186_ACEOF
187# If the user did not use the arguments to specify the items to instantiate,
188# then the envvar interface is used. Set only those that are not.
189# We use the long form for the default assignment because of an extremely
190# bizarre bug on SunOS 4.1.3.
191if $ac_need_defaults; then
192 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
193 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
194fi
195
196# Create a temporary directory, and hook for its removal unless debugging.
197$debug ||
198{
199 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
200 trap '{ (exit $?); exit $?; }' 1 2 13 15
201}
202
203# Create a (secure) tmp directory for tmp files.
204: ${TMPDIR=/tmp}
205{
206 tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
207 test -n "$tmp" && test -d "$tmp"
208} ||
209{
210 tmp=$TMPDIR/cs$$-$RANDOM
211 (umask 077 && mkdir $tmp)
212} ||
213{
214 echo "$me: cannot create a temporary directory in $TMPDIR" >&2
215 { (exit 1); exit 1; }
216}
217
218
219#
220# CONFIG_FILES section.
221#
222
223# No need to generate the scripts if there are no CONFIG_FILES.
224# This happens for instance when ./config.status config.h
225if test -n "$CONFIG_FILES"; then
226 # Protect against being on the right side of a sed subst in config.status.
227 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
228 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
229s,@SHELL@,/bin/sh,;t t
230s,@exec_prefix@,${prefix},;t t
231s,@prefix@,/usr/local,;t t
232s,@program_transform_name@,s,x,x,,;t t
233s,@bindir@,${exec_prefix}/bin,;t t
234s,@sbindir@,${exec_prefix}/sbin,;t t
235s,@libexecdir@,${exec_prefix}/libexec,;t t
236s,@datadir@,${prefix}/share,;t t
237s,@sysconfdir@,${prefix}/etc,;t t
238s,@sharedstatedir@,${prefix}/com,;t t
239s,@localstatedir@,${prefix}/var,;t t
240s,@libdir@,${exec_prefix}/lib,;t t
241s,@includedir@,${prefix}/include,;t t
242s,@oldincludedir@,/usr/include,;t t
243s,@infodir@,${prefix}/info,;t t
244s,@mandir@,${prefix}/man,;t t
245s,@PACKAGE_NAME@,,;t t
246s,@PACKAGE_TARNAME@,,;t t
247s,@PACKAGE_VERSION@,,;t t
248s,@PACKAGE_STRING@,,;t t
249s,@PACKAGE_BUGREPORT@,,;t t
250s,@ECHO_C@,,;t t
251s,@ECHO_N@,-n,;t t
252s,@ECHO_T@,,;t t
253s,@PATH_SEPARATOR@,:,;t t
254s,@DEFS@,-DHAVE_CONFIG_H,;t t
255s,@LIBS@,-lcrypt -lstdc++ -lm -lgdbm -lg ,;t t
256s,@PACKAGE@,gsdl,;t t
257s,@VERSION@,2.38,;t t
258s,@USE_FASTCGI@,0,;t t
259s,@CFLAGS@,-O2,;t t
260s,@CC@,gcc,;t t
261s,@LDFLAGS@,,;t t
262s,@CPPFLAGS@,,;t t
263s,@ac_ct_CC@,gcc,;t t
264s,@EXEEXT@,,;t t
265s,@OBJEXT@,o,;t t
266s,@CXX@,g++,;t t
267s,@CXXFLAGS@,-g -O2,;t t
268s,@ac_ct_CXX@,g++,;t t
269s,@AWK@,mawk,;t t
270s,@YACC@,bison -y,;t t
271s,@INSTALL_PROGRAM@,${INSTALL},;t t
272s,@INSTALL_SCRIPT@,${INSTALL},;t t
273s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
274s,@LN_S@,ln -s,;t t
275s,@SET_MAKE@,,;t t
276s,@RANLIB@,ranlib,;t t
277s,@ac_ct_RANLIB@,ranlib,;t t
278s,@CPP@,gcc -E,;t t
279s,@U@,,;t t
280s,@ANSI2KNR@,,;t t
281s,@ALLOCA@,,;t t
282s,@LIBOBJS@, rx.o rx.o,;t t
283s,@gsdlos@,linux,;t t
284CEOF
285
286 # Split the substitutions into bite-sized pieces for seds with
287 # small command number limits, like on Digital OSF/1 and HP-UX.
288 ac_max_sed_lines=48
289 ac_sed_frag=1 # Number of current file.
290 ac_beg=1 # First line for current file.
291 ac_end=$ac_max_sed_lines # Line after last line for current file.
292 ac_more_lines=:
293 ac_sed_cmds=
294 while $ac_more_lines; do
295 if test $ac_beg -gt 1; then
296 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
297 else
298 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
299 fi
300 if test ! -s $tmp/subs.frag; then
301 ac_more_lines=false
302 else
303 # The purpose of the label and of the branching condition is to
304 # speed up the sed processing (if there are no `@' at all, there
305 # is no need to browse any of the substitutions).
306 # These are the two extra sed commands mentioned above.
307 (echo ':t
308 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
309 if test -z "$ac_sed_cmds"; then
310 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
311 else
312 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
313 fi
314 ac_sed_frag=`expr $ac_sed_frag + 1`
315 ac_beg=$ac_end
316 ac_end=`expr $ac_end + $ac_max_sed_lines`
317 fi
318 done
319 if test -z "$ac_sed_cmds"; then
320 ac_sed_cmds=cat
321 fi
322fi # test -n "$CONFIG_FILES"
323
324for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
325 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
326 case $ac_file in
327 - | *:- | *:-:* ) # input from stdin
328 cat >$tmp/stdin
329 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
330 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
331 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
332 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
333 * ) ac_file_in=$ac_file.in ;;
334 esac
335
336 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
337 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
338 X"$ac_file" : 'X\(//\)[^/]' \| \
339 X"$ac_file" : 'X\(//\)$' \| \
340 X"$ac_file" : 'X\(/\)' \| \
341 . : '\(.\)' 2>/dev/null ||
342echo X"$ac_file" |
343 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
344 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
345 /^X\(\/\/\)$/{ s//\1/; q; }
346 /^X\(\/\).*/{ s//\1/; q; }
347 s/.*/./; q'`
348 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
349 { case "$ac_dir" in
350 [\\/]* | ?:[\\/]* ) as_incr_dir=;;
351 *) as_incr_dir=.;;
352esac
353as_dummy="$ac_dir"
354for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
355 case $as_mkdir_dir in
356 # Skip DOS drivespec
357 ?:) as_incr_dir=$as_mkdir_dir ;;
358 *)
359 as_incr_dir=$as_incr_dir/$as_mkdir_dir
360 test -d "$as_incr_dir" || mkdir "$as_incr_dir"
361 ;;
362 esac
363done; }
364
365 ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
366 # A "../" for each directory in $ac_dir_suffix.
367 ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
368 else
369 ac_dir_suffix= ac_dots=
370 fi
371
372 case $srcdir in
373 .) ac_srcdir=.
374 if test -z "$ac_dots"; then
375 ac_top_srcdir=.
376 else
377 ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
378 fi ;;
379 [\\/]* | ?:[\\/]* )
380 ac_srcdir=$srcdir$ac_dir_suffix;
381 ac_top_srcdir=$srcdir ;;
382 *) # Relative path.
383 ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
384 ac_top_srcdir=$ac_dots$srcdir ;;
385 esac
386
387 case $INSTALL in
388 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
389 *) ac_INSTALL=$ac_dots$INSTALL ;;
390 esac
391
392 if test x"$ac_file" != x-; then
393 { echo "$as_me:5606: creating $ac_file" >&5
394echo "$as_me: creating $ac_file" >&6;}
395 rm -f "$ac_file"
396 fi
397 # Let's still pretend it is `configure' which instantiates (i.e., don't
398 # use $as_me), people would be surprised to read:
399 # /* config.h. Generated automatically by config.status. */
400 configure_input="Generated automatically from `echo $ac_file_in |
401 sed 's,.*/,,'` by configure."
402
403 # First look for the input files in the build tree, otherwise in the
404 # src tree.
405 ac_file_inputs=`IFS=:
406 for f in $ac_file_in; do
407 case $f in
408 -) echo $tmp/stdin ;;
409 [\\/$]*)
410 # Absolute (can't be DOS-style, as IFS=:)
411 test -f "$f" || { { echo "$as_me:5624: error: cannot find input file: $f" >&5
412echo "$as_me: error: cannot find input file: $f" >&2;}
413 { (exit 1); exit 1; }; }
414 echo $f;;
415 *) # Relative
416 if test -f "$f"; then
417 # Build tree
418 echo $f
419 elif test -f "$srcdir/$f"; then
420 # Source tree
421 echo $srcdir/$f
422 else
423 # /dev/null tree
424 { { echo "$as_me:5637: error: cannot find input file: $f" >&5
425echo "$as_me: error: cannot find input file: $f" >&2;}
426 { (exit 1); exit 1; }; }
427 fi;;
428 esac
429 done` || { (exit 1); exit 1; }
430 sed "/^[ ]*VPATH[ ]*=/{
431s/:*\$(srcdir):*/:/;
432s/:*\${srcdir}:*/:/;
433s/:*@srcdir@:*/:/;
434s/^\([^=]*=[ ]*\):*/\1/;
435s/:*$//;
436s/^[^=]*=[ ]*$//;
437}
438
439:t
440/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
441s,@configure_input@,$configure_input,;t t
442s,@srcdir@,$ac_srcdir,;t t
443s,@top_srcdir@,$ac_top_srcdir,;t t
444s,@INSTALL@,$ac_INSTALL,;t t
445" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
446 rm -f $tmp/stdin
447 if test x"$ac_file" != x-; then
448 mv $tmp/out $ac_file
449 else
450 cat $tmp/out
451 rm -f $tmp/out
452 fi
453
454done
455
456#
457# CONFIG_HEADER section.
458#
459
460# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
461# NAME is the cpp macro being defined and VALUE is the value it is being given.
462#
463# ac_d sets the value in "#define NAME VALUE" lines.
464ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
465ac_dB='[ ].*$,\1#\2'
466ac_dC=' '
467ac_dD=',;t'
468# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
469ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
470ac_uB='$,\1#\2define\3'
471ac_uC=' '
472ac_uD=',;t'
473
474for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
475 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
476 case $ac_file in
477 - | *:- | *:-:* ) # input from stdin
478 cat >$tmp/stdin
479 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
480 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
481 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
482 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
483 * ) ac_file_in=$ac_file.in ;;
484 esac
485
486 test x"$ac_file" != x- && { echo "$as_me:5698: creating $ac_file" >&5
487echo "$as_me: creating $ac_file" >&6;}
488
489 # First look for the input files in the build tree, otherwise in the
490 # src tree.
491 ac_file_inputs=`IFS=:
492 for f in $ac_file_in; do
493 case $f in
494 -) echo $tmp/stdin ;;
495 [\\/$]*)
496 # Absolute (can't be DOS-style, as IFS=:)
497 test -f "$f" || { { echo "$as_me:5709: error: cannot find input file: $f" >&5
498echo "$as_me: error: cannot find input file: $f" >&2;}
499 { (exit 1); exit 1; }; }
500 echo $f;;
501 *) # Relative
502 if test -f "$f"; then
503 # Build tree
504 echo $f
505 elif test -f "$srcdir/$f"; then
506 # Source tree
507 echo $srcdir/$f
508 else
509 # /dev/null tree
510 { { echo "$as_me:5722: error: cannot find input file: $f" >&5
511echo "$as_me: error: cannot find input file: $f" >&2;}
512 { (exit 1); exit 1; }; }
513 fi;;
514 esac
515 done` || { (exit 1); exit 1; }
516 # Remove the trailing spaces.
517 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
518
519 # Handle all the #define templates only if necessary.
520 if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
521 # If there are no defines, we may have an empty if/fi
522 :
523 cat >$tmp/defines.sed <<CEOF
524/^[ ]*#[ ]*define/!b
525t clr
526: clr
527${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"gsdl"${ac_dD}
528${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"2.38"${ac_dD}
529${ac_dA}PROTOTYPES${ac_dB}PROTOTYPES${ac_dC}1${ac_dD}
530${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
531${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
532${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
533${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
534${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
535${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
536${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
537${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
538${ac_dA}HAVE_LIBG${ac_dB}HAVE_LIBG${ac_dC}1${ac_dD}
539${ac_dA}HAVE_LIBGDBM${ac_dB}HAVE_LIBGDBM${ac_dC}1${ac_dD}
540${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
541${ac_dA}HAVE_LIBSTDC__${ac_dB}HAVE_LIBSTDC__${ac_dC}1${ac_dD}
542${ac_dA}HAVE_LIBCRYPT${ac_dB}HAVE_LIBCRYPT${ac_dC}1${ac_dD}
543${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
544${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
545${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
546${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
547${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
548${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
549${ac_dA}HAVE_CRYPT_H${ac_dB}HAVE_CRYPT_H${ac_dC}1${ac_dD}
550${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
551${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
552${ac_dA}HAVE_SYS_PROCFS_H${ac_dB}HAVE_SYS_PROCFS_H${ac_dC}1${ac_dD}
553${ac_dA}HAVE_FREAD_DECL${ac_dB}HAVE_FREAD_DECL${ac_dC}1${ac_dD}
554${ac_dA}HAVE_FGETC_DECL${ac_dB}HAVE_FGETC_DECL${ac_dC}1${ac_dD}
555${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
556${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
557${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
558${ac_dA}HAVE_VPRINTF${ac_dB}HAVE_VPRINTF${ac_dC}1${ac_dD}
559${ac_dA}HAVE_FTIME${ac_dB}HAVE_FTIME${ac_dC}1${ac_dD}
560${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
561${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
562${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
563${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
564${ac_dA}HAVE_TIMES${ac_dB}HAVE_TIMES${ac_dC}1${ac_dD}
565CEOF
566 sed -f $tmp/defines.sed $tmp/in >$tmp/out
567 rm -f $tmp/in
568 mv $tmp/out $tmp/in
569
570 cat >$tmp/defines.sed <<CEOF
571/^[ ]*#[ ]*define/!b
572t clr
573: clr
574${ac_dA}HAVE_MALLINFO${ac_dB}HAVE_MALLINFO${ac_dC}1${ac_dD}
575${ac_dA}HAVE_SETBUFFER${ac_dB}HAVE_SETBUFFER${ac_dC}1${ac_dD}
576${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
577${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
578${ac_dA}HAVE_FTRUNCATE${ac_dB}HAVE_FTRUNCATE${ac_dC}1${ac_dD}
579${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
580${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
581${ac_dA}HAVE_VALLOC${ac_dB}HAVE_VALLOC${ac_dC}1${ac_dD}
582CEOF
583 sed -f $tmp/defines.sed $tmp/in >$tmp/out
584 rm -f $tmp/in
585 mv $tmp/out $tmp/in
586
587 fi # egrep
588
589 # Handle all the #undef templates
590 cat >$tmp/undefs.sed <<CEOF
591/^[ ]*#[ ]*undef/!b
592t clr
593: clr
594${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"gsdl"${ac_uD}
595${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"2.38"${ac_uD}
596${ac_uA}PROTOTYPES${ac_uB}PROTOTYPES${ac_uC}1${ac_uD}
597${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
598${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
599${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
600${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
601${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
602${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
603${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
604${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
605${ac_uA}HAVE_LIBG${ac_uB}HAVE_LIBG${ac_uC}1${ac_uD}
606${ac_uA}HAVE_LIBGDBM${ac_uB}HAVE_LIBGDBM${ac_uC}1${ac_uD}
607${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
608${ac_uA}HAVE_LIBSTDC__${ac_uB}HAVE_LIBSTDC__${ac_uC}1${ac_uD}
609${ac_uA}HAVE_LIBCRYPT${ac_uB}HAVE_LIBCRYPT${ac_uC}1${ac_uD}
610${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
611${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
612${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
613${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
614${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
615${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
616${ac_uA}HAVE_CRYPT_H${ac_uB}HAVE_CRYPT_H${ac_uC}1${ac_uD}
617${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
618${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
619${ac_uA}HAVE_SYS_PROCFS_H${ac_uB}HAVE_SYS_PROCFS_H${ac_uC}1${ac_uD}
620${ac_uA}HAVE_FREAD_DECL${ac_uB}HAVE_FREAD_DECL${ac_uC}1${ac_uD}
621${ac_uA}HAVE_FGETC_DECL${ac_uB}HAVE_FGETC_DECL${ac_uC}1${ac_uD}
622${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
623${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
624${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
625${ac_uA}HAVE_VPRINTF${ac_uB}HAVE_VPRINTF${ac_uC}1${ac_uD}
626${ac_uA}HAVE_FTIME${ac_uB}HAVE_FTIME${ac_uC}1${ac_uD}
627${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
628${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
629${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
630${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
631${ac_uA}HAVE_TIMES${ac_uB}HAVE_TIMES${ac_uC}1${ac_uD}
632CEOF
633 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
634 rm -f $tmp/in
635 mv $tmp/out $tmp/in
636
637 cat >$tmp/undefs.sed <<CEOF
638/^[ ]*#[ ]*undef/!b
639t clr
640: clr
641${ac_uA}HAVE_MALLINFO${ac_uB}HAVE_MALLINFO${ac_uC}1${ac_uD}
642${ac_uA}HAVE_SETBUFFER${ac_uB}HAVE_SETBUFFER${ac_uC}1${ac_uD}
643${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
644${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
645${ac_uA}HAVE_FTRUNCATE${ac_uB}HAVE_FTRUNCATE${ac_uC}1${ac_uD}
646${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
647${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
648${ac_uA}HAVE_VALLOC${ac_uB}HAVE_VALLOC${ac_uC}1${ac_uD}
649s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
650CEOF
651 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
652 rm -f $tmp/in
653 mv $tmp/out $tmp/in
654
655 # Let's still pretend it is `configure' which instantiates (i.e., don't
656 # use $as_me), people would be surprised to read:
657 # /* config.h. Generated automatically by config.status. */
658 if test x"$ac_file" = x-; then
659 echo "/* Generated automatically by configure. */" >$tmp/config.h
660 else
661 echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config.h
662 fi
663 cat $tmp/in >>$tmp/config.h
664 rm -f $tmp/in
665 if test x"$ac_file" != x-; then
666 if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
667 { echo "$as_me:5839: $ac_file is unchanged" >&5
668echo "$as_me: $ac_file is unchanged" >&6;}
669 else
670 ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
671 X"$ac_file" : 'X\(//\)[^/]' \| \
672 X"$ac_file" : 'X\(//\)$' \| \
673 X"$ac_file" : 'X\(/\)' \| \
674 . : '\(.\)' 2>/dev/null ||
675echo X"$ac_file" |
676 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
677 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
678 /^X\(\/\/\)$/{ s//\1/; q; }
679 /^X\(\/\).*/{ s//\1/; q; }
680 s/.*/./; q'`
681 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
682 { case "$ac_dir" in
683 [\\/]* | ?:[\\/]* ) as_incr_dir=;;
684 *) as_incr_dir=.;;
685esac
686as_dummy="$ac_dir"
687for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
688 case $as_mkdir_dir in
689 # Skip DOS drivespec
690 ?:) as_incr_dir=$as_mkdir_dir ;;
691 *)
692 as_incr_dir=$as_incr_dir/$as_mkdir_dir
693 test -d "$as_incr_dir" || mkdir "$as_incr_dir"
694 ;;
695 esac
696done; }
697
698 fi
699 rm -f $ac_file
700 mv $tmp/config.h $ac_file
701 fi
702 else
703 cat $tmp/config.h
704 rm -f $tmp/config.h
705 fi
706done
707
708{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the repository browser.